Package wx :: Module webkit :: Class WebKitBeforeLoadEvent

[frames | no frames]

## Type WebKitBeforeLoadEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        WebKitBeforeLoadEvent

Proxy of C++ WebKitBeforeLoadEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
| `Cancel(self, cancel)`
int | `GetNavigationType(self)`
String | `GetURL(self)`
bool | `IsCancelled(self)`
| `SetNavigationType(self, navType)`
| `SetURL(self, url)`

Property Summary
| `NavigationType`: See `GetNavigationType` and `SetNavigationType`
| `thisown`: The membership flag
| `URL`: See `GetURL` and `SetURL`

Method Details

### __init__(self, win=(wxWindow *) NULL)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### NavigationType

See `GetNavigationType` and `SetNavigationType`

  Get Method:
    `GetNavigationType`(self)
  Set Method:
    `SetNavigationType`(self, navType)

### thisown

The membership flag

  Get Method:
    unknown-42503416(...)
  Set Method:
    unknown-42503536(...)

### URL

See `GetURL` and `SetURL`

  Get Method:
    `GetURL`(self)
  Set Method:
    `SetURL`(self, url)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:32 2007 | http://epydoc.sf.net